# risikogebiete
Aktuelle Corona Risikogebietsinformationen als API

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[risikogebiete]
```

### poetry install

```sh
poetry add deutschland -E risikogebiete
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import risikogebiete
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import risikogebiete
from pprint import pprint
from deutschland.risikogebiete.api import default_api
from deutschland.risikogebiete.model.risk_countries import RiskCountries
# Defining the host is optional and defaults to https://api.einreiseanmeldung.de/reisendenportal
# See configuration.py for a list of all supported configuration parameters.
configuration = risikogebiete.Configuration(
    host = "https://api.einreiseanmeldung.de/reisendenportal"
)



# Enter a context with an instance of the API client
with risikogebiete.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    
    try:
        # Liste der Länder
        api_response = api_instance.risikogebiete_get()
        pprint(api_response)
    except risikogebiete.ApiException as e:
        print("Exception when calling DefaultApi->risikogebiete_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.einreiseanmeldung.de/reisendenportal*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**risikogebiete_get**](docs/DefaultApi.md#risikogebiete_get) | **GET** /risikogebiete | Liste der Länder


## Documentation For Models

 - [RiskCountries](docs/RiskCountries.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in risikogebiete.apis and risikogebiete.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.risikogebiete.api.default_api import DefaultApi`
- `from deutschland.risikogebiete.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import risikogebiete
from deutschland.risikogebiete.apis import *
from deutschland.risikogebiete.models import *
```

