# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.risikogebiete',
 'deutschland.risikogebiete.api',
 'deutschland.risikogebiete.apis',
 'deutschland.risikogebiete.model',
 'deutschland.risikogebiete.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-risikogebiete',
    'version': '0.1.0',
    'description': 'Robert Koch Institut: Corona Risikogebiete API',
    'long_description': '# risikogebiete\nAktuelle Corona Risikogebietsinformationen als API\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[risikogebiete]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E risikogebiete\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import risikogebiete\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import risikogebiete\nfrom pprint import pprint\nfrom deutschland.risikogebiete.api import default_api\nfrom deutschland.risikogebiete.model.risk_countries import RiskCountries\n# Defining the host is optional and defaults to https://api.einreiseanmeldung.de/reisendenportal\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = risikogebiete.Configuration(\n    host = "https://api.einreiseanmeldung.de/reisendenportal"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith risikogebiete.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    \n    try:\n        # Liste der Länder\n        api_response = api_instance.risikogebiete_get()\n        pprint(api_response)\n    except risikogebiete.ApiException as e:\n        print("Exception when calling DefaultApi->risikogebiete_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://api.einreiseanmeldung.de/reisendenportal*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**risikogebiete_get**](docs/DefaultApi.md#risikogebiete_get) | **GET** /risikogebiete | Liste der Länder\n\n\n## Documentation For Models\n\n - [RiskCountries](docs/RiskCountries.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in risikogebiete.apis and risikogebiete.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.risikogebiete.api.default_api import DefaultApi`\n- `from deutschland.risikogebiete.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import risikogebiete\nfrom deutschland.risikogebiete.apis import *\nfrom deutschland.risikogebiete.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/risikogebiete-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
